---
title: "Create / edit a list"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/lists.save
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Create / edit a list

Create or rename a lead list.

Create or rename a lead list.

## Overview

| Name | Value |
| --- | --- |
| Code | `lists.save` |
| Scope needed | `crm.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | People → Lists |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `uuid` | No |   |
| `name` | `text` | Yes |   |
| `description` | `text` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/lists.save \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `id` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "id": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "lists.save"`. Tool name when listed: `lists_save`.
